<?php

// header('Content-Type:text/html; charset=UTF-8');

/****************************************************************
Includes
 *****************************************************************/
require_once 'config.php';
require_once DLIB . 'SPDO.php';
require_once DLIBMISPHP . 'funciones.php';

/****************************************************************
Conectamos a la BD
 *****************************************************************/
global $conexion;
$conexion = new SPDO(BDENGINEMISPHP, BDHOSTMISPHP, BDDATABASEMISPHP, BDUSERMISPHP, BDPASSMISPHP);

/*****************************************************************
 * Traducciones
 *****************************************************************/
require_once DLIBMISPHP . 'lang.php';

//Para obtener la traducción
$language = new lang();

/****************************************************************
Cargamos datos del entorno multilenguaje
 ****************************************************************/
$lang = $language->getSessionLang();

$lang .= '.utf8';
putenv("LANG=" . $lang);
// IMPORTANTE: ESTABLECER SOLO LC_MESSAGES ¡MESSAGES! Que si no se lía con los decimales
setlocale(LC_MESSAGES, $lang);

$directory = dirname(__FILE__) . '/Locale';

// Establecemos los dominios
$domain = "messages";

//Vinculamos los dominios
bindtextdomain($domain, $directory);

// Vinculamos la codificacion de los dominios
bind_textdomain_codeset($domain, 'UTF-8');

//Establecemos el dominio a utilizar
textdomain($domain);

/****************************************************************
Inicializamos las plantillas
 *****************************************************************/

// require_once DLIB . 'Sigma.php';
// $tpl = new HTML_Template_Sigma(DTPL);
//Establecemos el idioma para los templates y sus js

$lang_js = !empty($_SESSION['lang']) ? $_SESSION['lang'] : 'es_ES';
// $tpl->setGlobalVariable('LANGJS', $lang_js);
